/****************************************************************************
                (C) FELIX Computer Aided Technologies GmbH 1995

Module:         Definition of result types and error codes for FDT
File:           fdtcodes.h
Author:         R. Nuernberger
Date:           Oct. 21, 1993
Changed:       
****************************************************************************/

#ifndef _fdtcodes_h
#define _fdtcodes_h 

#ifdef __cplusplus
extern "C" {
#endif

/* Byte Alignment 2 */
#pragma pack(2)

/* Result types for the field restype im result buffer resbuf */

#define RTNONE    5000                /* No result */
#define RTREAL    5001                /* Real */
#define RTPOINT   5002                /* 2D point */
#define RTSHORT   5003                /* Short Int */
#define RTANG     5004                /* Angle */
#define RTSTR     5005                /* String */
#define RTENAME   5006                /* Entity Name */
#define RTPICKS   5007                /* Selection Set (pick set) */
#define RTORINT   5008                /* Orientation */
#define RT3DPOINT 5009                /* 3D point */
#define RTLONG    5010                /* Long int */
#define RTVOID    5014                /* Void */
#define RTLB      5016                /* List bottom */
#define RTLE      5017                /* List end */
#define RTDOTE    5018                /* Dotted pair (FLISP) */
#define RTNIL     5019                /* NIL (FLISP) */
#define RTDXF0    5020                /* DXF Code 0, for fdt_buildlist only */
#define RTT       5021                /* T atom (True) */
#define RTBINARY  5022                /* Chunk in XDATA */
#define RTFUNC    5023                /* Function */

/* Status return codes of the FDT application */

#define RTNORM    5100                /* Normal termination */

#define RTMEMERR -5000                /* Global memory error */
#define RTERROR  -5001                /* General error occured */
#define RTCAN    -5002                /* User cancelled by ESC */
#define RTKWORD  -5003                /* Keyword of an getxxx() function */

/* Control code for FDT application registration */
#define RTLOADONCALL 0
#define RTPRELOAD    1
 
/* Reset Byte Alignment */
#pragma pack()

#ifdef __cplusplus
}
#endif

#endif 

/* <end of file> */
